Subject: Re: [PATCH 1/3] powerpc: POWER7 optimised copy_page using VMX

From: Segher Boessenkool <[email-masked]>
Date: Fri, 17 Jun 2011 22:26:25 +0200

>> +	addi	r1,r1,STACKFRAMESIZE
>> +
>> +	.align	5
>
> Do we know that the blank will be filled with something harmless ?

Yes.  See ppc_handle_align() in gas/config/tc-ppc.c : it fills with nops
(ori 0,0,0), and a branch if there are more than four nops, and for 
POWER6
and POWER7 it puts a group-terminating insn (ori 1,1,0 resp. ori 2,2,0) 
at
the end.

It has done this (well, nops at least) since 2001.

Segher